import Vue from 'vue'
import Popup from './index.vue'


const PopupBox = Vue.extend(Popup)

Popup.install = function (data,methods) {
  let instance = new PopupBox({
    data,
    methods
  }).$mount()

  document.body.appendChild(instance.$el)
  instance.toClick_1()
  Vue.nextTick(() => {
    instance.show = true
    // this.$router.push({path:"/good/order/edit?id=" + instance.id});
    // show 和弹窗组件里的show对应，用于控制显隐
    setTimeout(() => {
      instance.show = false
    }, 3000);
  })



}

export default Popup